# PSF-LoginServer - master - net.psforever.services.avatar.AvatarAction.ProjectileState
PSF - LoginServer - master - net.psforever.services.avatar.AvatarAction.ProjectileState
Keywords: PSF LoginServer master net.psforever.services.avatar.AvatarAction.ProjectileState

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    services
-  object AvatarAction
  Definition Classes
    avatar
- Action
- ActivateImplantSlot
- ArmorChanged
- ChangeAmmo
- ChangeExosuit
- ChangeFireMode
- ChangeFireState_Start
- ChangeFireState_Stop
- ChangeLoadout
- ConcealPlayer
- DeactivateImplantSlot
- DeployItem
- Destroy
- DestroyDisplay
- DropItem
- DropSpecialItem
- EnvironmentalDamage
- EquipmentInHand
- GenericObjectAction
- HitHint
- Killed
- KitNotUsed
- LoadPlayer
- LoadProjectile
- ObjectDelete
- ObjectHeld
- OxygenState
- PickupItem
- PlanetsideAttribute
- PlanetsideAttributeSelf
- PlanetsideAttributeToAll
- PlayerState
- ProjectileAutoLockAwareness
- ProjectileExplodes
- ProjectileState
- PutDownFDU
- Release
- Reload
- Revive
- SendResponse
- SendResponseTargeted
- SetEmpire
- StowEquipment
- TeardownConnection
- TerminalOrderResult
- UseKit
- WeaponDryFire

c

net.psforever.services.avatar.AvatarAction

# ProjectileState

###

#### final case class ProjectileState(player_guid: PlanetSideGUID, projectile_guid: PlanetSideGUID, shot_pos: Vector3, shot_vel: Vector3, shot_orient: Vector3, sequence: Int, end: Boolean, hit_target: PlanetSideGUID) extends Action with Product with Serializable

Source
  AvatarServiceMessage.scala

Linear Supertypes
Serializable, Product, Equals, Action, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ProjectileState
2. Serializable
3. Product
4. Equals
5. Action
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ProjectileState(player_guid: PlanetSideGUID, projectile_guid: PlanetSideGUID, shot_pos: Vector3, shot_vel: Vector3, shot_orient: Vector3, sequence: Int, end: Boolean, hit_target: PlanetSideGUID)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val end: Boolean
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  val hit_target: PlanetSideGUID
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  val player_guid: PlanetSideGUID
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  val projectile_guid: PlanetSideGUID
18.  val sequence: Int
19.  val shot_orient: Vector3
20.  val shot_pos: Vector3
21.  val shot_vel: Vector3
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Action

### Inherited from AnyRef

### Inherited from Any

### Ungrouped